Booklinker.API

<back to all web services

GetProductMetadataRequest

The following routes are available for this service:
GET/v1/product/metadata
GetProductMetadataRequest Parameters:
NameParameterData TypeRequiredDescription
UrlquerystringYes
GetProductMetadataResponse Parameters:
NameParameterData TypeRequiredDescription
ProductMetadataformProductMetadataNo
IsSupportedformboolNo
ResponseStatusformResponseStatusNo
ProductMetadata Parameters:
NameParameterData TypeRequiredDescription
TitleformstringNo
AuthorformstringNo
UrlformUriNo
DescriptionformstringNo
RetailerformstringNo
ProductImagesformIDictionary<string, Uri>No

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /v1/product/metadata HTTP/1.1 
Host: api.booklinker.com 
Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<GetProductMetadataResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Booklinker.API.ServiceModel.V1.Responses">
  <isSupported>false</isSupported>
  <productMetadata xmlns:d2p1="http://schemas.datacontract.org/2004/07/Booklinker.API.ServiceModel.V1.DTOs">
    <author xmlns="http://schemas.datacontract.org/2004/07/ProductAPI.Contracts.V1.DTOs">String</author>
    <description xmlns="http://schemas.datacontract.org/2004/07/ProductAPI.Contracts.V1.DTOs">String</description>
    <productImages xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" i:nil="true" xmlns="http://schemas.datacontract.org/2004/07/ProductAPI.Contracts.V1.DTOs" />
    <retailer xmlns="http://schemas.datacontract.org/2004/07/ProductAPI.Contracts.V1.DTOs">String</retailer>
    <title xmlns="http://schemas.datacontract.org/2004/07/ProductAPI.Contracts.V1.DTOs">String</title>
    <url i:nil="true" xmlns="http://schemas.datacontract.org/2004/07/ProductAPI.Contracts.V1.DTOs" />
  </productMetadata>
  <responseStatus xmlns:d2p1="http://schemas.servicestack.net/types">
    <d2p1:ErrorCode>String</d2p1:ErrorCode>
    <d2p1:Message>String</d2p1:Message>
    <d2p1:StackTrace>String</d2p1:StackTrace>
    <d2p1:Errors>
      <d2p1:ResponseError>
        <d2p1:ErrorCode>String</d2p1:ErrorCode>
        <d2p1:FieldName>String</d2p1:FieldName>
        <d2p1:Message>String</d2p1:Message>
        <d2p1:Meta xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>String</d5p1:Key>
            <d5p1:Value>String</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
        </d2p1:Meta>
      </d2p1:ResponseError>
    </d2p1:Errors>
    <d2p1:Meta xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>String</d3p1:Key>
        <d3p1:Value>String</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
    </d2p1:Meta>
  </responseStatus>
</GetProductMetadataResponse>